﻿using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.Models;
using System.Web.Script.Serialization;
using System.Reflection;
using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
using Newtonsoft.Json;
using Syncfusion.JavaScript;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {
        public IEnumerable currentData;
        public ActionResult Index(){
            var data = new NorthwindDataContext().OrdersViews.ToList();
            ViewBag.datasource = new NorthwindDataContext().EmployeeViews.ToList();
            return View();
        }
        public ActionResult BatchDataSource(DataManager dm)
        {
            IEnumerable<OrdersView> DataSource =  new NorthwindDataContext().OrdersViews.ToList();
            DataResult result = new DataResult();
            result.result = DataSource.Skip(dm.Skip).Take(dm.Take);
            result.count = DataSource.Count();
            return Json(result, JsonRequestBehavior.AllowGet);
        }
        public ActionResult BatchUpdate(List<EditableOrder> changed, List<EditableOrder> added, List<EditableOrder> deleted)
        {
            if (changed != null)
                OrderRepository.Update(changed);
            if (deleted != null)
                OrderRepository.Delete(deleted);
            if (added != null)
                OrderRepository.Add(added);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
            public IEnumerable aggregate { get; set; }
            public IEnumerable groupDs { get; set; }
        }
    }
}